# Generated by Django 4.2.18 on 2025-01-23 11:03

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("zgw_consumers", "0022_set_default_service_slug"),
    ]

    operations = [
        migrations.AlterField(
            model_name="service",
            name="api_root",
            field=models.CharField(
                help_text="The root URL of the service that will be used to construct the URLs when making requests.",
                max_length=255,
                unique=True,
                verbose_name="api root url",
            ),
        ),
        migrations.AlterField(
            model_name="service",
            name="auth_type",
            field=models.CharField(
                choices=[
                    ("no_auth", "No authorization"),
                    ("api_key", "API key"),
                    ("zgw", "ZGW client_id + secret"),
                ],
                default="zgw",
                help_text="The type of authorization to use for this service.",
                max_length=20,
                verbose_name="authorization type",
            ),
        ),
        migrations.AlterField(
            model_name="service",
            name="client_id",
            field=models.CharField(
                blank=True,
                help_text="The client ID used to construct the JSON Web Token to connect with the service (only needed if auth type is `zgw`).",
                max_length=255,
            ),
        ),
        migrations.AlterField(
            model_name="service",
            name="header_key",
            field=models.CharField(
                blank=True,
                help_text="The header key used to store the API key (only needed if auth type is `api_key`).",
                max_length=100,
                verbose_name="header key",
            ),
        ),
        migrations.AlterField(
            model_name="service",
            name="header_value",
            field=models.CharField(
                blank=True,
                help_text="The API key to connect with the service (only needed if auth type is `api_key`).",
                max_length=255,
                verbose_name="header value",
            ),
        ),
        migrations.AlterField(
            model_name="service",
            name="nlx",
            field=models.URLField(
                blank=True,
                help_text="NLX (outway) address.",
                max_length=1000,
                verbose_name="NLX url",
            ),
        ),
        migrations.AlterField(
            model_name="service",
            name="secret",
            field=models.CharField(
                blank=True,
                help_text="The secret used to construct the JSON Web Token to connect with the service (only needed if auth type is `zgw`).",
                max_length=255,
            ),
        ),
    ]
